org.apache.poi.hwpf.model

## Class SectionDescriptor

- java.lang.Object
- - org.apache.poi.hwpf.model.SectionDescriptor

- All Implemented Interfaces:
    Duplicatable

      @Internal
      public final class SectionDescriptor
      extends java.lang.Object
      implements Duplicatable

  Section Descriptor (SED) See page 186 for details.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectionDescriptor()`
    `SectionDescriptor(byte[] buf, int offset)`
    `SectionDescriptor(SectionDescriptor other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SectionDescriptor` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getFc()`
    `int` | `hashCode()`
    `void` | `setFc(int fc)`
    `byte[]` | `toByteArray()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SectionDescriptor

          public SectionDescriptor()

    - #### SectionDescriptor

          public SectionDescriptor(SectionDescriptor other)

    - #### SectionDescriptor

          public SectionDescriptor(byte[] buf,
                                   int offset)

  - ### Method Detail

    - #### getFc

          public int getFc()

    - #### setFc

          public void setFc(int fc)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toByteArray

          public byte[] toByteArray()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### copy

          public SectionDescriptor copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.